package edu.fsu.cs.BEATconnect.service;

// Copyright (c) 2009, Scott Weston <scott@weston.id.au>
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
// 
//     * Redistributions of source code must retain the above copyright notice,
//       this list of conditions and the following disclaimer.
//     * Redistributions in binary form must reproduce the above copyright notice,
//       this list of conditions and the following disclaimer in the documentation
//       and/or other materials provided with the distribution.
//     * Neither the name of Scott Weston nor the names of contributors may be
//       used to endorse or promote products derived from this software without
//       specific prior written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
// ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
// LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
// ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.ContentValues;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.database.sqlite.SQLiteDatabase;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;

public class BEATService extends Service {
	private static final String TAG = "BEATService";
	private static int lastlevel = 100;
	private static int lastbeat = 0;
	private static int lastheart = 0;

	
	@Override
	public IBinder onBind(Intent intent) {
		return null;
	}

	@Override
	public void onCreate() {
		super.onCreate();
        //IntentFilter batteryFilter = new IntentFilter();
        //batteryFilter.addAction(android.content.Intent.ACTION_BATTERY_CHANGED);
        //registerReceiver(mIntentReceiver, batteryFilter);
        registerReceiver(mIntentReceiver, new IntentFilter("beat.action.update"));          
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
		unregisterReceiver(mIntentReceiver);
	}
	
	BroadcastReceiver mIntentReceiver = new BroadcastReceiver() {
		public void onReceive(Context context, Intent intent) {
//			if (intent.getAction().equals(android.content.Intent.ACTION_BATTERY_CHANGED)) {
//				Log.d(TAG, "ACTION_BATTERY_CHANGED");
//				Bundle extras = intent.getExtras();
//				Log.d(TAG, "keys: " + extras.keySet());
//				ContentValues values = new ContentValues();
//				Long now = Long.valueOf(System.currentTimeMillis());
//				values.put("sampletime", now);
//				values.put("level", extras.getInt("level"));
//				values.put("voltage", extras.getInt("voltage"));
//				values.put("temperature", extras.getInt("temperature"));
//				values.put("plugged", extras.getInt("plugged"));
//				insertBEAT(values);
//				// if we're not charging
//				lastlevel = extras.getInt("level");
//			}
			
			Log.d(TAG, "beat.action.update received");
			Bundle extras = intent.getExtras();
			Log.d(TAG, "keys: " + extras.keySet());
			ContentValues values = new ContentValues();
			Long now = Long.valueOf(System.currentTimeMillis());
			values.put("sampletime", now);
			values.put("beat", extras.getInt("beat"));
			values.put("heart", extras.getInt("heart"));
			values.put("speed", extras.getInt("speed"));
			values.put("strides", extras.getInt("strides"));
			values.put("distance", extras.getInt("distance"));
			values.put("cadence", extras.getInt("cadence"));
			values.put("battery", extras.getInt("battery"));
			insertBEAT(values);
//			lastbeat = extras.getInt("beat");
//			lastheart = extras.getInt("heart");
		}
	};
	
	
	
	public boolean insertBEAT(ContentValues values) {
		Log.d(TAG, "insertBEAT: " + values);
		
//		DatabaseHelper mOpenHelper = null;
//		SQLiteDatabase db = null;
	boolean rc = true;
//		
//		try {
//			mOpenHelper = new DatabaseHelper(this);
//			db = mOpenHelper.getReadableDatabase();
//			Long rowid = db.insert(DatabaseHelper.LEVELS_TABLE, "BEAT", values);
//			if (rowid < 0) {
//				Log.e(TAG, "database insert failed: " + rowid);
//				rc = false;
//			} else {
//				Log.d(TAG, "sample collected, rowid=" + rowid);
//			}
//		} catch (Exception e) {
//			Log.e(TAG, "database exception");
//			rc = false;
//		}
//		if (db != null) db.close();
//		if (mOpenHelper != null) mOpenHelper.close();
		return rc;
	}
}
