package edu.fsu.cs.hannigan.graphingwidget;

import edu.fsu.cs.hannigan.graphingwidget.GraphingWidget;
import android.graphics.Canvas;
//import android.util.Log;
import android.view.SurfaceHolder;

public class GraphingThread extends Thread {
	//private static final String TAG = "cs.fsu.edu";
	private SurfaceHolder _surfaceHolder;
	private GraphingWidget _graph;
	private boolean _run = false;

	public GraphingThread(SurfaceHolder surfaceHolder, GraphingWidget graph) {
		_surfaceHolder = surfaceHolder;
		_graph = graph;
	}

	public void setRunning(boolean run) {
		_run = run;
	}

	@Override
	public void run() {
		Canvas c;
		while (_run) {
			c = null;
			try {
				c = _surfaceHolder.lockCanvas(null);
				synchronized (_surfaceHolder) {
					_graph.onDraw(c);
				}
			} finally {
				// do this in a finally so that if an exception is thrown
				// during the above, we don't leave the Surface in an
				// inconsistent state
				if (c != null) {
					_surfaceHolder.unlockCanvasAndPost(c);
				}
			}
		}
	}

}
